import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { ControlContainer } from '@angular/forms';
export declare class SubmitDirective implements OnInit, OnDestroy {
    private controlContainer;
    uiSubmit: EventEmitter<any>;
    private sub;
    constructor(controlContainer: ControlContainer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private markAsTouched(group);
}
